
CoCoA-5 - Bug #1766

Emacs 29: Removal of obsolete entries

18 Oct 2023 13:51 - Nico Mexis

Status: Closed Start date: 18 Oct 2023

Priority: Low Due date:  

Assignee: John Abbott % Done: 100%

Category: EmacsUI Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.55 hour

Description

As stated in the release notes of Emacs 29 (https://git.savannah.gnu.org/cgit/emacs.git/tree/etc/NEWS?h=emacs-29),

font-lock-reference-face has been removed since it was marked as obsolete quite some time ago already.

This yields an error similar to the following when starting Emacs 29.1 build 2 with the CoCoA 5 "extension" loaded:

Warning (initialization): An error occurred while loading ‘c:/Users/nicom/AppData/Roaming/.emacs’:

Symbol's value as variable is void: font-lock-reference-face

To ensure normal operation, you should investigate and remove the

cause of the error in your initialization file.  Start Emacs with

the ‘--debug-init’ option to view a complete error backtrace.

Luckily, font-lock-reference-face only has one occurrence in cocoa5.el and cocoa5.emacs, each.

A simple fix would be to just migrate to some other font face, i.e., replacing both occurrences with, for instance,

font-lock-preprocessor-face.

It seems to be yet unused in regard to CoCoA 5. Otherwise, a collection of possible values is also available here: 

https://www.gnu.org/software/emacs/manual/html_node/elisp/Faces-for-Font-Lock.html

History

#1 - 18 Oct 2023 16:29 - John Abbott

- Target version set to CoCoA-5.4.2

Thanks Nico for the bug report.

I wonder why that face is even defined?  When, if ever, is it used?

I have followed your advice about renaming it: I did initially try font-lock-number-face but that is not defined in my version of Emacs (27.1)

#2 - 25 Oct 2023 21:26 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- % Done changed from 0 to 70

I have just checked in the change suggested by Nico.

#3 - 22 Dec 2023 11:21 - John Abbott

I'll try asking Nico if the problem is resolved now.  If so, we can close this issue.

#4 - 22 Dec 2023 11:35 - Nico Mexis

- % Done changed from 70 to 100

Sorry, forgot to respond here - only replied via email.

This issue is resolved now, thanks!
#5 - 22 Dec 2023 11:35 - Nico Mexis

- Status changed from Resolved to Closed
